python3-gmpy2_2.1.0~a4-1+b1_i386.deb


Advertisement

Description

python3-gmpy2 - interfaces GMP to Python 3 for fast, unbound-precision computations

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename python3-gmpy2_2.1.0~a4-1+b1_i386.deb
Package name python3-gmpy2
Package version 2.1.0~a4
Package release 1+b1
Package architecture i386
Package type deb
Category python
Homepage https://pypi.python.org/pypi/gmpy2
License -
Maintainer Martin Kelly <martin@martingkelly.com>
Download size 142.25 KB
Installed size 601.00 KB

Alternatives

Package Version Architecture Repository
python3-gmpy2_2.1.0~a4-1+b1_amd64.deb 2.1.0~a4 amd64 Debian Main
python3-gmpy2 - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 >= 2:5.1.1
libmpc3 -
libmpfr6 >= 4.0.0
python-gmpy2-common -
python3 >= 3.7~
python3 << 3.8
python3:any -

Provides

Name Value
python3.7-gmpy2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-gmpy2_2.1.0~a4-1+b1_i386.deb
Source Package python-gmpy2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-gmpy2 deb package:
    # sudo apt-get install python3-gmpy2

Files

Path
/usr/lib/python3/dist-packages/gmpy2/__init__.pxd
/usr/lib/python3/dist-packages/gmpy2/__init__.py
/usr/lib/python3/dist-packages/gmpy2/gmpy2.cpython-37m-i386-linux-gnu.so
/usr/lib/python3/dist-packages/gmpy2/gmpy2.h
/usr/lib/python3/dist-packages/gmpy2/gmpy2.pxd
/usr/lib/python3/dist-packages/gmpy2-2.1.0a4.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/gmpy2-2.1.0a4.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/gmpy2-2.1.0a4.egg-info/not-zip-safe
/usr/lib/python3/dist-packages/gmpy2-2.1.0a4.egg-info/top_level.txt
/usr/share/doc/python3-gmpy2/changelog.Debian.gz
/usr/share/doc/python3-gmpy2/changelog.Debian.i386.gz
/usr/share/doc/python3-gmpy2/changelog.gz
/usr/share/doc/python3-gmpy2/copyright

Changelog

2019-01-10 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.1.0~a4-1) unstable; urgency=medium
[ Ondřej Nový ]
* Convert git repository from git-dpm to gbp layout
[ Martin Kelly ]
* Update to 2.1.0~a4 (Closes: #918802).
* Fix a variety of Lintian warnings.
2018-07-22 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.8-3) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/copyright: Use https protocol in Format field
* d/watch: Use https protocol
* d/control: Remove ancient X-Python-Version field
* d/control: Remove ancient X-Python3-Version field
[ Martin Kelly ]
* d/control: Change sphinx build-depends to use Python 3
* d/control: Bump policy version to 4.1.5 (no changes needed)
2017-03-11 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.8-2) unstable; urgency=medium
* Fixed all known copyrights and licenses (Closes: #857455).
2017-03-07 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.8-1) unstable; urgency=medium
[ Martin Kelly ]
* Corrected a few stale entries in copyright file (also fixes a lintian
warning).
* Bumped policy version to 3.9.8.0
* Use Multi-Arch: same for binary packages
* Create -doc package
* Update packaging copyright dates
[ Ondřej Nový ]
* Fixed VCS URL (https)
2015-12-02 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.7-2) unstable; urgency=medium
* Overhauled debian/rules to use pybuild. Things look a lot better now!
Since dpkg-buildpackage -A and dpkg-buildpackage -B now work correctly,
this also Closes: #805958.
* Update URL in changelog to PyPi.
2015-08-23 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.7-1) unstable; urgency=medium
* New upstream release
* Fixed duplicate long description lintian error
2015-06-23 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.5-1) unstable; urgency=medium
* New upstream release
* Fixed watch file to use PyPi redirector
* Removed bogus test correction patches that are now present upstream
* Made the Sphinx manpage use the most recent changelog entry for build date
so we get reproducible builds
2014-11-01 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.4-2) unstable; urgency=medium
* Adding in upstream patch for bogus test failures. We can drop the patch at
next release. Closes: #767417.
* Adding Multi-Arch: foreign so that just one copy of the -common package is
required for multi-arch setups.
2014-10-26 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.4-1) unstable; urgency=medium
* New upstream release
* Updated Standards-Version to 3.9.6.0 (no changes needed)
* Using machine-readable copyright file
* Copyright is GPL 3 now, not GPL 2; fixed
* Fixed build error by adding -a flag to dh_* scripts
* Added dh-python to Build-Depends
* Dropping manpage patch (it's now fixed upstream)
* Unit tests now return error code, so the package build will fail if they
fail
2014-02-23 - Martin Kelly <martin@martingkelly.com>
python-gmpy2 (2.0.3-1) unstable; urgency=medium
* New upstream release
* Updated Standards-Version to 3.9.5.0 (no changes needed)
* Changed Python 3 dev build dependency to python3-all-dev
* Added Python and Python 3 as build dependencies (needed to run setup.py)

See Also

Package Description
python3-gmsh_4.4.1+ds1-2_all.deb Three-dimensional finite element mesh generator Python 3 wrapper
python3-gnocchi_4.3.4-1_all.deb Metric as a Service - Python 3.x
python3-gnocchiclient_7.0.4-2_all.deb bindings to the OpenStack Gnocchi API - Python 3.x
python3-gnucap_0.0.2-1.1_i386.deb Python 3 bindings for the GNU Circuit Analysis Package
python3-gnucash_3.7-1_i386.deb Gnucash interface for Python
python3-gnupg_0.4.5-1_all.deb Python wrapper for the GNU Privacy Guard (Python 3.x)
python3-gnuplot_1.8-8_all.deb Python interface to the gnuplot plotting program
python3-gnuplotlib_0.31-1_all.deb Gnuplot-based plotter for numpy
python3-goocalendar_0.5-1_all.deb Calendar widget for GTK+ using PyGoocanvas (Python 3)
python3-google-apputils_0.4.1-1_all.deb Google Application Utilities - Python 3.x
python3-google-auth-httplib2_0.0.3-1_all.deb Google Authentication Library: httplib2 transport
python3-google-auth_1.5.1-2_all.deb Google Authentication Library - Python 3.x
python3-google-compute-engine_20190916-1_all.deb Python library for Google Compute Engine interaction (Python 3)
python3-google-i18n-address_2.3.2-3_all.deb Internationalization address metadata (python3 bindings)
python3-googleapi-samples_1.7.11-3_all.deb Google APIs Client Library for Python, samples
Advertisement
Advertisement